Skip to content
Documentation

TSM Persistence Configuration

The HAKOM:TSM:Persistence section configures the redirection of unit storage to another repository, the repository compatibility check and data processing settings such as the default quotation behavior and the chunk size of bulk operations.

HAKOM:TSM:Persistence
Persistence
├─ TsmRepositories
│ └─ TsmRepository
│ └─ {RepositoryName}
│ └─ UnitsRepository
├─ EnsureRepositoryCompatibility
└─ Data
├─ ChunkSize
└─ QuotationDefaultBehavior

Set the chunk size for bulk operations:

<HAKOM>
<TSM>
<Persistence>
<Data>
<ChunkSize>1000</ChunkSize>
</Data>
</Persistence>
</TSM>
</HAKOM>

Unit repositories are used to override unit storage to a repository that is different from the one specified in the request.

Path: HAKOM:TSM:Persistence:TsmRepositories:TsmRepository:{RepositoryName}:UnitsRepository

{RepositoryName} specifies an existing repository configured in HAKOM:Persistence:Repositories (see configuration guide). Units will not be stored in this repository — instead, they are redirected to the repository specified in UnitsRepository.

flask Redirect unit storage to a different repository

Section titled “ Redirect unit storage to a different repository”

The following fragment shows the HAKOM:TSM:Persistence section:

<Persistence>
<TsmRepositories>
<TsmRepository>
<TSM_ORACLE>
<UnitsRepository>TSM_POSTGRESQL</UnitsRepository>
</TSM_ORACLE>
</TsmRepository>
</TsmRepositories>
</Persistence>

By applying this configuration, the following HTTP request stores a unit in the repository TSM_POSTGRESQL, even though TSM_ORACLE is set as a parameter.

Request

POST /repositories/TSM_ORACLE/units

Request Body

{
"symbol": "testUnit",
"intervalTransformationMethod": 1
}

Path: HAKOM:TSM:Persistence:EnsureRepositoryCompatibility

When set to true, the API checks whether the database is compatible with the used repository even when the request doesn’t throw an error. This is done to prevent potential unpredictable behavior on a version mismatch that seems fine at first.

flask EnsureRepositoryCompatibility set to true vs. false

Section titled “ EnsureRepositoryCompatibility set to true vs. false”
  • Request: GET /repositories
  • Repository version: 4.11.0
  • Database version: 4.9.3

Response with EnsureRepositoryCompatibility set to false:

{
"$successful": "true",
"value": {
"timeBase": 0,
"name": "TSM_POSTGRESQL",
"type": "TSM",
"version": "4.9.0.3"
}
}

Response with EnsureRepositoryCompatibility set to true:

{
"$successful": "false",
"error": {
"title": "HK12042",
"status": 500,
"detail": "The repository 'TSM_POSTGRESQL' is not supported..."
}
}

Change the default quotation behavior for time series that do not have a default defined individually.

Path: HAKOM:TSM:Persistence:Data:QuotationDefaultBehavior

Possible values are:

Value Name Behavior
0 Default Use the quotation behavior of the next lower priority. If none are specified, MaxExact is used.
1 MaxExact The latest quotation date-time will be determined and data for that date will be read as an exact quotation time.
2 MaxNotExact The latest quotation date-time will be determined and data for that date will be read as a not-exact quotation time.
3 NowNotExact Data from the time domain will be read with the respective latest quotation date and time, but earlier than the current time. In contrast to MaxNotExact, quotation times in the future are disregarded.

Sets the number of records processed per operation cycle for bulk operations. This controls how data is processed in chunks to efficiently handle large volumes, whether deleting time series with cascading attribute assignments or performing other bulk data operations.

Path: HAKOM:TSM:Persistence:Data:ChunkSize

Element Type Default Required Description
ChunkSize int 1000 Number of records processed per operation cycle for bulk operations. Allowed values: any positive int.
© 2026 Volue.Version v0.6.38017 November 2026